> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user info

> Get information about your current account.



## OpenAPI

````yaml GET /v1/user/me
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/user/me:
    get:
      tags:
        - User
      summary: Get user info
      description: Get information about your current account.
      operationId: me_v1_user_me_get
      parameters:
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: User info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
              example:
                first_name: David
                email: david@databar.ai
                balance: 100
                plan: Pro
                workspace: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        '403':
          description: Forbidden access
          content:
            application/json:
              example:
                detail: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Upstream rate limit; retry after Retry-After when present
          content:
            application/json:
              example:
                detail: Too many requests. Please retry later.
components:
  schemas:
    User:
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        email:
          type: string
          title: Email
        balance:
          type: number
          title: Balance
        plan:
          type: string
          title: Plan
        workspace:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace
      type: object
      required:
        - first_name
        - email
        - balance
        - plan
      title: User
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````